Bug 177898 - The Belleek fonts do not fully replace MathTime
The Belleek fonts do not fully replace MathTime
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-01-16 05:48 EST by vigna
Modified: 2013-07-02 19:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-21 09:06:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description vigna 2006-01-16 05:48:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
In April 2003, as explained in /usr/share/texmf/doc/fonts/belleek/README, the MathTime files where silently altered to use the open source Belleek fonts instead of the original MathTime fonts, for which the files were originally created.

The replacement is not full, and in fact is not working at all. As an example, try to compile


\[f:A\to B\]

The ":" does not appear, as the fonts do not replace fully Mathtime.

I have waited two years to post this bug, as I was certain that sooner or later someone would have noticed the problem. After the nth upgrade followed by the nth replacement of the original MathTime files instead of the altered ones, I couldn't stand it anymore.

"Under the hood" replacements are BAD. I am a fully legal owner of MathTime+ fonts, and I have to constantly patch the distribution since files have been altered without changing their names, and without making available a replacement. I have dozens of LaTeX files which suddenly stopped to compile in 2003. This never happened before, and it is against the TeX philosophy of a stable system.

In the current setup, the file above will compile without any warning. The user will stare at the missing ":" without a single clue as to what's happening.

Please consider putting back the *real* MathTime support file, and create a new setup for Belleek fonts that is clearly different and marked so.

Version-Release number of selected component (if applicable):
All since 2003

How reproducible:

Steps to Reproduce:
1. Compile the following file in a stock Fedora install, and watch the dvi:


\[f:A\to B\]

Actual Results:  The ":" is invisible.

Additional info:

Of course, one can at each upgrade restore the real files. But this is wrong, wrong, wrong.
Comment 1 Jindrich Novy 2006-01-16 06:46:35 EST
The issues with Belleek fonts as a substitute of MathTime fonts is better to be
discussed on the teTeX upstream mailing list. The reason for this is that Thomas
Esser as the upstream teTeX maintainer knows more about this problem, because he
actually did the change from Belleek to MathTime fonts.

The upstream mailing list can be viewed by:

And the new posts are made by mailing to:

There are not a lot of things I can do with it anyway, because I'm not a legal
owner of MathTime fonts, therefore I've got no way to test a fix for it. I'm
subscribed on the upstream mailing list so that I'll read and eventually react
if you send a question about it there.
Comment 2 Jindrich Novy 2006-09-21 09:06:07 EDT
I also cannot fix it as I don't have the commercial MathTime fonts.

Note You need to log in before you can comment on or make changes to this bug.